COS(3) | Library Functions Manual | COS(3)

# NAME

`cos`, `cosf`, `cosl` —
cosine function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`cos`(double x);

float
`cosf`(float x);

long double
`cosl`(long double x);

# DESCRIPTION

The `cos`(), `cosf`(), and `cosl`() functions compute the cosine of x (measured in radians). A large magnitude argument may yield a result with little or no significance. For a discussion of error due to roundoff, see math(3).

# RETURN VALUES

The `cos`() function returns the cosine value.

# SEE ALSO

acos(3), asin(3), atan(3), atan2(3), cosh(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

# STANDARDS

The `cos`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

# HISTORY

A `cos`() function appeared in Version 1 AT&T UNIX.

September 2, 2019 | NetBSD 9.0